%define     anolis_release 2
%bcond_with testsuite

Name:		iniparser
Version:	4.1
Release:	%{anolis_release}%{?dist}
Summary:	C library for parsing "INI-style" files

License:	MIT
URL:		https://github.com/ndevilla/%{name}
Source0:	https://github.com/ndevilla/%{name}/archive/refs/tags/%{name}-%{version}.tar.gz

BuildRequires:	gcc
BuildRequires: make

%description
iniParser is an ANSI C library to parse "INI-style" files, often used to
hold application configuration information.

%package devel
Summary:	Header files, libraries and development documentation for %{name}
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
# remove library rpath from Makefile
sed -i 's|-Wl,-rpath -Wl,/usr/lib||g' Makefile
sed -i 's|-Wl,-rpath,/usr/lib||g' Makefile

sed -i 's|^CFLAGS|CFLAGS = %{optflags} -fPIC\nNOCFLAGS|' Makefile
make %{?_smp_mflags}

%install
# iniParser doesn't have a 'make install' of its own :(
install -d %{buildroot}%{_includedir}/%{name} %{buildroot}%{_libdir}
install -m 644 -t %{buildroot}%{_includedir}/%{name} src/dictionary.h src/iniparser.h
ln -s %{name}/dictionary.h %{buildroot}%{_includedir}/dictionary.h
ln -s %{name}/iniparser.h %{buildroot}%{_includedir}/iniparser.h
install -m 755 -t %{buildroot}%{_libdir}/ libiniparser.so.1
ln -s libiniparser.so.1 %{buildroot}%{_libdir}/libiniparser.so

%if %{with testsuite}
%check
make
make check
./test/iniexample
./test/parse test/twisted.ini
%endif

%ldconfig_scriptlets

%generate_compatibility_deps

%files
%dir %{abidir}
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_libdir}/libiniparser.so.1
%{abidir}/lib%{name}.dump

%files devel
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_libdir}/libiniparser.so
%{_includedir}/%{name}
%{_includedir}/*.h

%files doc
%doc README.md AUTHORS FAQ-en.md FAQ-zhcn.md INSTALL

%changelog
* Tue Feb 14 2023 yuanhui <yuanhui@linux.alibaba.com> - 4.1-2
- add doc and abi files

* Fri Apr 15 2022 yuanhui <yuanhui@linux.alibaba.com> - 4.1-1
- Init iniparser for anolis os 23
